<?php
/**
 * Uninstall de módulo
 *
 * @author    OML <soporte@oml.cl>
 * @copyright 2017-2020 OML
 * @license Usage permited. No modifications or derivations allowed.
 */

/*
 * In some cases you should not drop the tables.
 * Maybe the merchant will just try to reset the module
 * but does not want to loose all of the data associated to the module.
 */
$sql = array();

$sql_address_format = ' SELECT format
                        FROM ' . _DB_PREFIX_ . 'address_format
                        WHERE id_country = (SELECT id_country
                                            FROM ' . _DB_PREFIX_ . 'country
                                            WHERE iso_code = "CL")';
$query_address_format = Db::getInstance()->getRow($sql_address_format);

$format = $query_address_format['format'];
$format = str_replace("facto_tipo_documento", "", $format);
$format = str_replace("
other ", "", $format);
$format = str_replace("
State:name ", "", $format);
if (strpos($format, 'address2') == false) {
    $format .= '
address2';
}
$format = trim($format);

$sql[0] = ' UPDATE ' . _DB_PREFIX_ . 'address_format
                SET format = "' . $format . '"
                WHERE id_country = (SELECT id_country 
                                    FROM ' . _DB_PREFIX_ . 'country
                                    WHERE iso_code = "CL")';

$sql[1] = ' DELETE FROM ' . _DB_PREFIX_ . 'state 
                WHERE id_country = (SELECT id_country 
                                    FROM ' . _DB_PREFIX_ . 'country
                                    WHERE iso_code = "CL")';
$sql[2] = 'DELETE FROM ' . _DB_PREFIX_ . 'translation WHERE translation = "Comuna"';
$sql[3] = 'DELETE FROM ' . _DB_PREFIX_ . 'translation WHERE translation = "Rut Empresa"';
$sql[4] = 'DELETE FROM ' . _DB_PREFIX_ . 'translation WHERE translation = "Razon Social Empresa"';
$sql[5] = 'DELETE FROM ' . _DB_PREFIX_ . 'translation WHERE translation = "Tipo Documento"';
$sql[6] = 'DELETE FROM ' . _DB_PREFIX_ . 'translation WHERE translation = "Giro"';
/*$sql[7] = ' ALTER TABLE '._DB_PREFIX_.'address
            DROP facto_tipo_documento,
            DROP facto_giro';*/

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
